Name:       ibus-sayura
Version:    1.2.99.20100209
Release:    3%{?dist}
Summary:    The Sinhala engine for IBus input platform
License:    GPLv2+
Group:      System Environment/Libraries
URL:        https://fedorahosted.org/ibus-sayura
Source0:    https://fedorahosted.org/releases/i/b/ibus-sayura/%{name}-%{version}.tar.gz

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gettext-devel
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  ibus-devel

Requires:   ibus
Patch1: bug-601568.patch
Patch2: bug-613510.patch
%description
The Sayura engine for IBus platform. It provides Sinhala input method.

%prep
%setup -q
%patch1 -p1 -b .1-fix-for-64-bit
%patch2 -p1 -b .1-fix-for-right-shift-key

%build
%configure --disable-static
# make -C po update-gmo
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_libexecdir}/ibus-engine-sayura
%{_datadir}/ibus-sayura
%{_datadir}/ibus/component/*


%changelog

